TokyoTyrant::connectUri
TokyoTyrant::copy
TokyoTyrant
PHP Manual

# TokyoTyrant::__construct

(PECL tokyo_tyrant >= Unknown)

TokyoTyrant::__construct — Construct a new TokyoTyrant object

### Description

TokyoTyrant::__construct ([ string `$host` [, string `$port` [, string `$persistent` ]]] )

Constructs a new TokyoTyrant object and optionally connects to the database

### Parameters

`host`

  The hostname. Default: `NULL`

`port`

  The hostname. Default: 1978

`persistent`

  Whether to create a persistent connection. Default: `TRUE`

### Return Values

Throws TokyoTyrantException if connection to database fails

### See Also

- TokyoTyrant::connect - Connect to a database
- TokyoTyrant::connectUri - Connects to a database

TokyoTyrant::connectUri
TokyoTyrant::copy
TokyoTyrant
PHP Manual